
# Dataset default
DEFAULT_SAMPLE_RATE = 16384
DEFAULT_TRAIN_FRAC = 0.9

# Training default
DEFAULT_BATCH_SIZE = 32
DEFAULT_NUM_WORKERS = 8
DEFAULT_MAX_EPOCHS = 50
DEFAULT_LR = 1e-3
DEFAULT_WEIGHT_DECAY = 1e-3

# timeseries default
DEFAULT_TRAIN_KERNEL = 8.
DEFAULT_TRAIN_STRIDE = 0.25
DEFAULT_CLEAN_KERNEL = 8.
DEFAULT_CLEAN_STRIDE = 4.
DEFAULT_PAD_MODE = 'median'
DEFAULT_WINDOW = 'hanning'

# Preprocess default
DEFAULT_FLOW = 20
DEFAULT_FHIGH = 8192
DEFAULT_FORDER = 8

# Loss default
DEFAULT_FFT_LENGTH = 2
DEFAULT_OVERLAP = None
DEFAULT_PSD_WEIGHT = 0.5
DEFAULT_MSE_WEIGHT = 0.5
DEFAULT_EDGE_WEIGHT = 0.0
DEFAULT_EDGE_FRAC  = 0.1
DEFAULT_CROSS_PSD_WEIGHT = 0.0
# Device
DEFAULT_DEVICE = 'cuda'